<?php namespace TPS\Birzha\Updates;

use Schema;
use October\Rain\Database\Updates\Migration;

class BuilderTableCreateTpsBirzhaVendorSales extends Migration
{
    public function up()
    {
        Schema::create('tps_birzha_vendor_sales', function($table)
        {
            $table->engine = 'InnoDB';
            $table->increments('id')->unsigned();
            $table->timestamp('created_at')->nullable();
            $table->timestamp('updated_at')->nullable();
            $table->timestamp('deleted_at')->nullable();
            $table->integer('order_id');
            $table->integer('vendor_id');
            $table->integer('product_id');
            $table->text('note')->nullable();
        });
    }
    
    public function down()
    {
        Schema::dropIfExists('tps_birzha_vendor_sales');
    }
}
